Bug 107055 - Preview of message with large (~10MB) attachement last very long
Summary: Preview of message with large (~10MB) attachement last very long
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: messageviewer (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2005-06-08 18:51 UTC by Boris Dušek
Modified: 2009-12-21 15:16 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Dušek 2005-06-08 18:51:07 UTC
Version:            (using KDE KDE 3.4.1)
Installed from:    Debian testing/unstable Packages
OS:                Linux

Hi,

I did look in the list of KMail bugs and found some bug reports concerning slow-down
when handling e-mails with big attachments. However, I did not find anything
specific to previewing mails.

When I recieve big attachment (~10MB) which is not inline (it is a zip arch
ive), it lasts 2 seconds from clicking on the message (to display it) until the
message is finally displayed. Thus, when I want to cycle through the messages with
keyboard (left and right arrow), I get hanged on that message each time and that is
annoying.

I wish you good luck with KMail development,
Boris
Comment 1 Bram Schoenmakers 2008-04-13 09:02:59 UTC
Don't you think this is the same as bug 110574?
Comment 2 Boris Dušek 2008-04-13 10:53:49 UTC
No, since I am dealing with very short emails with large attachments. The bug you are referring is, as far as I can tell, dealing with large emails (i.e. those with large text of the email itself).

Also second difference is that I did not experience a crash, just a delay (like KMail was scanning the whole attachment). But maybe an attachment large enough would cause a crash, but I did not experience that (as far as I remember, the largest attachment I got was something like 10MB, not near to the 80MB referred in the bug you are referring).

Since attachments don't get displayed, there is no reason why they should delay the display of the text of the message (or browsing the message list).

I am no longer using KMail, so I can't tell how it behaves in newer versions.
Comment 3 Glad Deschrijver 2009-03-26 22:26:02 UTC
This bug still exists in KMail 1.11.0 in KDE 4.2.0.  It also happens for HTML messages with included images.  The main text of the mail should be loaded first, then the attachments should be loaded in a separate non-blocking thread.
Comment 4 Jaime Torres 2009-03-27 23:21:27 UTC
What type of account are you using? pop3, imap or dimap.

With kmail 1.11.90 (kde 4.2.67), I open a local mail (from pop3 and dimap) of 20Mb attachments (yes, so many funny videos) inmediately (even with the enterprise headers).
Even with imap, it shows the text inmediately and updates the header when it finds a new attachment (yes, there is no attachment index in the mail specification, you have to read the entire mail to know all the attachments it has).
Comment 5 Glad Deschrijver 2009-04-01 21:50:27 UTC
I use imap and the fancy headers.  Local mails are indeed opened immediately, remote emails with attachments of a several hundred Kb take a few seconds: the text is shown immediately but it takes some time to load the attachments.  Unfortunately, while the attachments are loaded the text is continuously scrolled to the top, so I cannot read the (whole) message until all attachments are loaded.
Comment 6 Björn Ruberg 2009-12-21 15:16:32 UTC
Original bug is fixed